summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Huber <johu@gentoo.org>2018-05-20 15:24:12 +0200
committerJohannes Huber <johu@gentoo.org>2018-05-20 15:24:12 +0200
commit3e7a213e5d208b6002797e605b4d1878e165871f (patch)
tree16779a2e28d39bf714f3adcb89c71ddf182efa4d /dev-vcs/gti
parentdev-vcs/gti: Move git-r3 eclass (diff)
downloadgentoo-3e7a213e5d208b6002797e605b4d1878e165871f.tar.gz
gentoo-3e7a213e5d208b6002797e605b4d1878e165871f.tar.bz2
gentoo-3e7a213e5d208b6002797e605b4d1878e165871f.zip
dev-vcs/gti: EAPI 7
Package-Manager: Portage-2.3.38, Repoman-2.3.9
Diffstat (limited to 'dev-vcs/gti')
-rw-r--r--dev-vcs/gti/gti-9999.ebuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/dev-vcs/gti/gti-9999.ebuild b/dev-vcs/gti/gti-9999.ebuild
index e3a1a7c80da..5ab71a691c0 100644
--- a/dev-vcs/gti/gti-9999.ebuild
+++ b/dev-vcs/gti/gti-9999.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
+EAPI=7
EGIT_REPO_URI="https://github.com/rwos/${PN}.git"
inherit git-r3
@@ -20,13 +20,14 @@ DEPEND="dev-vcs/git"
RDEPEND="${DEPEND}"
src_prepare() {
+ default
# fix the makefile
sed -i \
-e "s:CC=:CC?=:g" \
-e "s:CFLAGS=:CFLAGS?=:g" \
- -e "/-strip/d" \
+ -e "/-\$(STRIP)/d" \
-e 's:$(CC):$(CC) $(LDFLAGS):' \
- Makefile
+ Makefile || die
}
src_install() {